// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use glib::{prelude::*, translate::*};

#[doc(alias = "hdy_ease_out_cubic")]
pub fn ease_out_cubic(t: f64) -> f64 {
    assert_initialized_main_thread!();
    unsafe { ffi::hdy_ease_out_cubic(t) }
}

//#[doc(alias = "hdy_enum_value_row_name")]
//pub fn enum_value_row_name(value: &EnumValueObject, user_data: /*Unimplemented*/Option<Basic: Pointer>) -> Option<glib::GString> {
//    unsafe { TODO: call ffi:hdy_enum_value_row_name() }
//}

#[doc(alias = "hdy_get_enable_animations")]
#[doc(alias = "get_enable_animations")]
pub fn enables_animations(widget: &impl IsA<gtk::Widget>) -> bool {
    assert_initialized_main_thread!();
    unsafe {
        from_glib(ffi::hdy_get_enable_animations(
            widget.as_ref().to_glib_none().0,
        ))
    }
}

#[doc(alias = "hdy_init")]
pub fn init() {
    assert_initialized_main_thread!();
    unsafe {
        ffi::hdy_init();
    }
}
